#!/usr/bin/perl
# set the LANGUAGE parameter in /etc/analog.cfg
# possibilities are:
#        - ENGLISH : LANG=en*
#        - JAPANESE : LANG=ja*
#        - FRENCH : LANG=fr*
#        - GERMAN : LANG=de*
#        - TRAD-CHINESE : LANG=zh_TW*
#        - SIMP-CHINESE : LANG=zh_TW*

#globals:
$lang_env = 0;
$lang_string = 0;

#extract the $LANG value
if ($ENV{'LANG'})  {
   $lang_env = $ENV{'LANG'} if ($ENV{'LANG'});
}
elsif ($ENV{'LANGUAGE'})  {
   $lang_env = $ENV{'LANGUAGE'} if ($ENV{'LANGUAGE'});
}
else  {
   $lang_env = 'en_US';
}

# Assign correct cfg file LANGUAGE string value based on $LANG
SWITCH: for ($lang_env)  {
   /^en*/    && do {$lang_string='LANGUAGE "ENGLISH"'; last};
   /^ja*/    && do {$lang_string='LANGUAGE "JAPANESE"'; last};
   /^fr*/    && do {$lang_string='LANGUAGE "FRENCH"'; last};
   /^de*/    && do {$lang_string='LANGUAGE "GERMAN"'; last};
   /^zh_TW*/ && do {$lang_string='LANGUAGE "TRAD-CHINESE"'; last};
   /^zh*/    && do {$lang_string='LANGUAGE "SIMP-CHINESE"'; last};
   # default
   $lang_string = 'LANGUAGE "ENGLISH"';
}

# Alter cfg file
open(ORIG, "< /etc/analog.cfg") || die "Unable to open analog.cfg\n";
while(<ORIG>) {
   s/^LANGFILE \/var\/lib\/analog\/lang\/us\.lng/$lang_string/;
   $new_stuff .= $_;
}
close(ORIG);
if($new_stuff) {
   open(NEW, "> /etc/analog.cfg") ||
   die "Unable to create new analog.cfg\n";
   print NEW $new_stuff;
   close(NEW);
}
chmod 644, '/etc/analog.cfg';    
